package com.yuchen.saas.payment.api.enums;

/**
 * @ClassName invoiceChinaeinvEnum
 * @Description 瑞宏发票 cmdName 枚举类
 * @Author 张逸飞
 * @Date 2022/4/6 17:04
 */
public enum SaasInvoiceCMDNameEnum {

    /**
     * 订单创建及开票接口，可以设置立即开票，也可以人工干预开票
     */
    KP_ASYNC("chinaeinv.api.order.v11.kp_async"),

    /**
     * 订单开具红字发票接口
     */
    CH_ASYNC("chinaeinv.api.order.v11.ch_async"),

    /**
     * 失败订单重新开具接口
     */
    RETRYKP_ASYNC("chinaeinv.api.order.v11.retryKp_async"),

    /**
     * 失败订单重新开具接口
     */
    CANCEL("chinaeinv.api.order.v11.cancel"),

    /**
     * 根据订单编号查询发票，该接口会返回该订单对应的所有发票，譬如红字发票、蓝字发票。
     */
    CX_ORDER_NO("chinaeinv.api.order.v11.cx.orderNo");


    private String value;

    SaasInvoiceCMDNameEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
